Multivariate Pattern Analysis in Python

# mvpa2.misc.fx.get_random_rotation

`mvpa2.misc.fx.``get_random_rotation`(ns, nt=None, data=None)

  Return some random rotation (or rotation + dim reduction) matrix

  Parameters:

  ns : int

  > Dimensionality of source space

  nt : int, optional

  > Dimensionality of target space

  data : array, optional

  > Some data (should have rank high enough) to derive rotation